function Multirun()
clear all;close all;clc
startup;
Param;
pwd;
filename = mfilename;
motherfolderpath = which(filename);
run_dir = strrep(fileparts(motherfolderpath),[filesep,'Run'],'');
dir0 = strcat(run_dir,filesep,'Results');
mkdir(dir0);
cd(dir0);
count = 1;
[allpaths] = Create_Folders(param,count,dir0);
cd ..;
algortihm = 1; % 1 for MFBLA, 2 for SAO

if param.useparallel
    parfor r = 1:numel(allpaths)
        cd(allpaths{r});
        disp(strcat('Running -> ',allpaths{r}));
        if algortihm == 1
            MF_Bilevel;
        elseif algortihm== 2
            SA_Bilevel;
        end
    end
else
    for r = 1:numel(allpaths)
        cd(allpaths{r});
        disp(strcat('Running -> ',allpaths{r}));
        if algortihm == 1
            MF_Bilevel;
        elseif algortihm == 2
            SA_Bilevel;
        end
    end
end
% 

return