function [f,g,h]=smd6_10D(xu,xl,k)
    
p=3;q=1;s=2;r=2;
if nargin == 0
    prob.name = mfilename;
    prob.Upper_opt = 0;
    prob.Lower_opt = 0;
    ux=p+r;lx=q+s+r;
	prob.nxu = ux;
    prob.nxl = lx;
	prob.nf = 1;    %upper level
    prob.nfl=1;     %lower level
	prob.ng = 0;    %upper level
    prob.ngl=0;     %lower level
	prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:s
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end 
   %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
    	[f,g,h] = smd6_10D_true_ul(xu,xl, p,q,r,s);
    elseif k==2
        [f,g,h] = smd6_10D_true_ll(xu,xl, p,q,r,s);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd6_10D_true_ul(xu,xl,p,q,r,s)

xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q+s);xl2=xl(q+s+1:end);

     F1=0; 
    for i = 1:length(xu1)
        F1=F1+xu1(i)^2;
    end
     tmp3=0;tmp4=0;
    for i=1:length(xl1)
    tmp3=tmp3+(xl1(i)^2);
    end
    tmp3=-tmp3;
    for i=1:length(xl1)%need to change
    tmp4=tmp4+(xl1(i)^2);
    end
    F2=tmp3+tmp4;
    
    tmp1=0;tmp2=0;
    for i=1:length(xu2)
    tmp1=tmp1+xu2(i)^2;
    end
    for i=1:length(xu2)
    tmp2=tmp2+(xu2(i)-(xl2(i)))^2;
    end
    F3=tmp1-tmp2;
    f=F1+F2+F3;
    g =0;
    h=0;

    

% 
%     xu1 = xu(1:p);
%     xu2 = xu(p+1:p+r);
% 
%     xl1 = xl(1:q+s);
%     xl2 = xl(q+s+1:q+s+r);   
%     
%     f = sum((xu1).^2)- sum(xl1(1:q).^2) + sum(xl1(q+1:q+s).^2) + sum((xu2).^2) - sum((xu2 - xl2).^2);
% 
%     
%     g =0;
%     h=0;
%     
    
    
    
return

function [f,g,h]= smd6_10D_true_ll(xu,xl,p,q,r,s)


    
    xu1 = xu(1:p);
    xu2 = xu(p+1:p+r);

    xl1 = xl(1:q+s);
    xl2 = xl(q+s+1:q+s+r);

    term2 = sum(xl1(1:q).^2);
    for i=q+1:2:q+s-1
        term2 = term2 + (xl1(i+1) - xl1(i)).^2;
    end
    
    f = sum((xu1).^2)  + term2 + sum((xu2 - xl2).^2);
                     
      g= 0;
      h=0;
   
return 